org.jbpm.runtime.manager.impl.lock

## Class SerializableRuntimeManagerLockStrategy

- java.lang.Object
- - org.jbpm.runtime.manager.impl.lock.SerializableRuntimeManagerLockStrategy

- All Implemented Interfaces:
    RuntimeManagerLockStrategy

      public class SerializableRuntimeManagerLockStrategy
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<Long,org.jbpm.runtime.manager.impl.lock.RuntimeManagerLockThreadsInfo>` | `engineLocks`
    `protected static org.slf4j.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SerializableRuntimeManagerLockStrategy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init(RuntimeManagerLockFactory factory)`
    `void` | `lock(Long id, org.kie.api.runtime.manager.RuntimeEngine runtime)`
    `protected void` | `lock(RuntimeManagerLock runtimeManagerLock)`
    `void` | `unlock(Long id, org.kie.api.runtime.manager.RuntimeEngine runtime)`
    `protected void` | `unlock(RuntimeManagerLock runtimeManagerLock)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.slf4j.Logger logger

    - #### engineLocks

          protected Map<Long,org.jbpm.runtime.manager.impl.lock.RuntimeManagerLockThreadsInfo> engineLocks

  - ### Constructor Detail

    - #### SerializableRuntimeManagerLockStrategy

          public SerializableRuntimeManagerLockStrategy()

  - ### Method Detail

    - #### lock

          protected void lock(RuntimeManagerLock runtimeManagerLock)
                       throws InterruptedException

      Throws:
        `InterruptedException`

    - #### unlock

          protected void unlock(RuntimeManagerLock runtimeManagerLock)

    - #### init

          public void init(RuntimeManagerLockFactory factory)

      Specified by:
        `init` in interface `RuntimeManagerLockStrategy`

    - #### lock

          public void lock(Long id,
                           org.kie.api.runtime.manager.RuntimeEngine runtime)
                    throws InterruptedException

      Specified by:
        `lock` in interface `RuntimeManagerLockStrategy`
      Throws:
        `InterruptedException`

    - #### unlock

          public void unlock(Long id,
                             org.kie.api.runtime.manager.RuntimeEngine runtime)

      Specified by:
        `unlock` in interface `RuntimeManagerLockStrategy`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.